## org.apache.batik.extension.svg
Class BatikDomExtension.FlowTextElementFactory

    java.lang.Object
      org.apache.batik.extension.svg.BatikDomExtension.FlowTextElementFactory

All Implemented Interfaces:
  ExtensibleDOMImplementation.ElementFactory

Enclosing class:
  BatikDomExtension

    protected static class BatikDomExtension.FlowTextElementFactory

extends java.lang.Object
implements ExtensibleDOMImplementation.ElementFactory

To create a 'flowText' element.

Constructor Summary
`BatikDomExtension.FlowTextElementFactory()`

Method Summary
`org.w3c.dom.Element` `create(java.lang.String prefix, org.w3c.dom.Document doc)` Creates an instance of the associated element type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatikDomExtension.FlowTextElementFactory

    public BatikDomExtension.FlowTextElementFactory()

Method Detail

### create

    public org.w3c.dom.Element create(java.lang.String prefix,
                                      org.w3c.dom.Document doc)

  Creates an instance of the associated element type.

  Specified by:
    `create` in interface `ExtensibleDOMImplementation.ElementFactory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.